Index: srcgl/glgdk/GLPixmap.d
===================================================================
--- srcgl/glgdk/GLPixmap.d	(revision 843)
+++ srcgl/glgdk/GLPixmap.d	(working copy)
@@ -112,7 +112,7 @@
 		this.gdkGLPixmap = gdkGLPixmap;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkGLPixmap = cast(GdkGLPixmap*)obj;
Index: srcgl/glgdk/GLContext.d
===================================================================
--- srcgl/glgdk/GLContext.d	(revision 843)
+++ srcgl/glgdk/GLContext.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gdkGLContext = gdkGLContext;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkGLContext = cast(GdkGLContext*)obj;
Index: srcgl/glgdk/GLConfig.d
===================================================================
--- srcgl/glgdk/GLConfig.d	(revision 843)
+++ srcgl/glgdk/GLConfig.d	(working copy)
@@ -122,7 +122,7 @@
 		this.gdkGLConfig = gdkGLConfig;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkGLConfig = cast(GdkGLConfig*)obj;
Index: srcgl/glgdk/GLWindow.d
===================================================================
--- srcgl/glgdk/GLWindow.d	(revision 843)
+++ srcgl/glgdk/GLWindow.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gdkGLWindow = gdkGLWindow;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gdkGLWindow = cast(GdkGLWindow*)obj;
